Subject: [PATCH 0/3] powerpc/ps3: Fixes for lv1 hcall assembly

From: Nicholas Piggin <[email-masked]>
Date: Wed, 27 Dec 2023 17:24:02 +1000

This (hopefully) fixes the ELFv2 bug that Geoff reported, with patch
1. And a couple of other possible improvements I noticed.

I don't have a PS3 setup[*] so I have only compile tested these, I'm
sorry.

[*] Is RPCS3 usable for this kind of thing?

Thanks,
Nick

Nicholas Piggin (3):
  powerpc/ps3: Fix lv1 hcall assembly for ELFv2 calling convention
  powerpc/ps3: lv1 hcall code use symbolic constant for LR save offset
  powerpc/ps3: Make real stack frames for LV1 hcalls

 arch/powerpc/include/asm/ppc_asm.h  |   6 +-
 arch/powerpc/platforms/ps3/hvcall.S | 298 ++++++++++++++++------------
 2 files changed, 171 insertions(+), 133 deletions(-)

-- 
2.42.0